Package org.apache.tapestry5.internal.services

# Enum ResourceStreamer.Options

java.lang.Object
java.lang.Enum<ResourceStreamer.Options>
org.apache.tapestry5.internal.services.ResourceStreamer.Options

All Implemented Interfaces:
  `Serializable`, `Comparable<ResourceStreamer.Options>`, `java.lang.constant.Constable`

Enclosing interface:
  ResourceStreamer

public static enum ResourceStreamer.Options extends Enum<ResourceStreamer.Options>
Used to customize the behavior of `ResourceStreamer.streamResource(org.apache.tapestry5.commons.Resource, java.lang.String, java.util.Set)`.

Since:
  5.4

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `OMIT_EXPIRATION`
  Omit the normal expiration date header; this is appropriate for JavaScript modules, which cannot include their own checksum in the URL (instead, we rely on ETags to prevent unwanted data transfer).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ResourceStreamer.Options`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ResourceStreamer.Options[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OMIT_EXPIRATION

    public static final ResourceStreamer.Options OMIT_EXPIRATION
    Omit the normal expiration date header; this is appropriate for JavaScript modules, which cannot include their own checksum in the URL (instead, we rely on ETags to prevent unwanted data transfer).

- ## Method Details

  - ### values

    public static ResourceStreamer.Options[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ResourceStreamer.Options valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null